import type { SchemaRestComment, SchemaRestPullRequestActivity as SchemaRestPullRequestActivityBase } from "../openapi/index.ts";
export type SchemaRestPullRequestActivity = SchemaRestPullRequestActivityCommented | SchemaRestPullRequestActivityOpened | SchemaRestPullRequestActivityUpdated;
type User = SchemaRestPullRequestActivityBase["user"];
export interface SchemaRestPullRequestActivityCommented extends SchemaRestPullRequestActivityBase {
    readonly action: "COMMENTED";
    readonly comment?: SchemaRestComment;
    readonly commentAnchor?: SchemaRestComment["anchor"];
}
export interface SchemaRestPullRequestActivityOpened extends SchemaRestPullRequestActivityBase {
    readonly action: "OPENED";
}
export interface SchemaRestPullRequestActivityUpdated extends SchemaRestPullRequestActivityBase {
    readonly action: "UPDATED";
    readonly addedReviewers: User[];
    readonly removedReviewers: User[];
}
export declare function isSchemaRestPullRequestActivityCommented(activity?: SchemaRestPullRequestActivity | SchemaRestPullRequestActivityBase): activity is SchemaRestPullRequestActivityCommented;
export declare function isSchemaRestPullRequestActivityOpened(activity?: SchemaRestPullRequestActivity | SchemaRestPullRequestActivityBase): activity is SchemaRestPullRequestActivityOpened;
export declare function isSchemaRestPullRequestActivityUpdated(activity?: SchemaRestPullRequestActivity | SchemaRestPullRequestActivityBase): activity is SchemaRestPullRequestActivityUpdated;
export {};
//# sourceMappingURL=schema_rest_pull_request_activity.d.ts.map